## listserialportsc 1.4.0

=== Makefile ===
#
#
# License: LGPL-3.0-only  same as upstream
# Copyright: 2018 Geert Stappers <stappers@stappers.it>
#

JAVA_HOME = /usr/lib/jvm/default-java
JAVA_INCLUDE_PATH = $(JAVA_HOME)/include

CC = gcc

# Define listSerialsj variables
LSJ_NAME = listSerialsj
LSJ_MAJOR = 1
LSJ_MINOR = 4
LSJ_PATCH = 0
LSJ_RELEASE = 0
LSJ_LINKERNAME = lib$(LSJ_NAME).so
LSJ_SONAME = $(LSJ_LINKERNAME).$(LSJ_MAJOR)
LSJ_REALNAME = $(LSJ_SONAME).$(LSJ_MINOR).$(LSJ_RELEASE)
LSJ_SRCS = jnilib.c
LSJ_OBJS = $(LSJ_SRCS:.c=.o)
$(LSJ_REALNAME): CUSTOM_CFLAGS =-fPIC -I$(JAVA_INCLUDE_PATH)\
	-I$(JAVA_INCLUDE_PATH)/linux
$(LSJ_REALNAME): CUSTOM_LDFLAGS = -shared -lserialport


all: listserialportsc $(LSJ_REALNAME)


listserialportsc: main.c
	$(CC) -g -o $@ $<  -l serialport

$(LSJ_REALNAME): $(LSJ_OBJS)
	$(CC) $(LDFLAGS) $(CUSTOM_LDFLAGS) -Wl,-soname,$(LSJ_SONAME) -o $@ $^
	ln -sf $@ $(LSJ_SONAME)
	ln -sf $(LSJ_SONAME) $(LSJ_LINKERNAME)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CUSTOM_CFLAGS) -c -o $@ $<

version: Makefile
	echo "VERSION=$(LSJ_MAJOR).$(LSJ_MINOR).$(LSJ_PATCH)" > $@
	@cat $@
	@echo Advice: compare it with https://github.com/arduino/listSerialPortsC/tags

install: all
	install -d $(DESTDIR)/usr/bin
	install -m 755 listserialportsc $(DESTDIR)/usr/bin

clean:
	rm -f *.so* *.o
	rm -f listserialportsc

# after script/update_upstream or script/create_orig_tar_xz
# but before another build
dist-clean: clean
	rm -f version compile_linux.sh

dist:
	make version
	script/create_orig_tar_xz
	ls ../listserialportsc_*.orig.tar.xz

=== debian/changelog ===
listserialportsc (1.4.0-1) unstable; urgency=low

  [ Rock Storm ]
  * Initial release. Closes: #893551

  [ Geert Stappers ]
  * Review, listserialportsc package and upload.

 -- Rock Storm <rockstorm@gmx.com>  Wed, 21 Mar 2018 09:35:06 +0100

=== debian/control ===
Source: listserialportsc
Maintainer: Rock Storm <rockstorm@gmx.com>
Uploaders: Geert Stappers <stappers@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>=10),
               default-jdk-headless,
               dh-exec (>=0.3),
               libserialport-dev
Standards-Version: 4.1.1
Homepage: https://github.com/arduino/listSerialPortsC
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/listserialportsc
Vcs-Git: https://salsa.debian.org/electronics-team/arduino/listserialportsc.git

Package: liblistserialsj1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Multiplatform program to list serial ports
 listSerials is a simple multiplatform program to list serial ports with
 vid/pid/iserial fields.
 .
 This package provides the liblistSerialsj shared library.

Package: liblistserialsj-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblistserialsj1 (= ${binary:Version})
Description: Development files for the listSerials library
 listSerials is a simple multiplatform program to list serial ports with
 vid/pid/iserial fields.
 .
 This package provides development files for the liblistSerialsj library.

Package: listserialportsc
Architecture: any
Section: electronics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: list serial ports
 listserialportsc is a program to list serial ports
 that the computer has.
 Output contains vid/pid/iserial fields.
 .
 Typical use case is enumeration of plugin serial ports.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

# Apply all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+fortify

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
https://github.com/arduino/listSerialPortsC/tags \
.*/(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz) debian

## listserialportsc 1.4.0%2Brepack

=== debian/changelog ===
listserialportsc (1.4.0+repack-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * [7081dc3] Use secure copyright file specification URI.
  * [397aa1d] Bump debhelper from deprecated 9 to 12.
  * [c166d76] Set debhelper-compat version in Build-Depends.
  * [158c289] Set upstream metadata fields: Bug-Database, Bug-Submit,
              Repository, Repository-Browse.

  [ Carsten Schoenert ]
  * [9acf1ab] d/gbp.conf: Update configuration for gbp
    Working on this package without a proper pristine-tar branch makes
    rebuilding newer Debian version like PITA and will resulting in REJECTS
    from DAK as hashes with existing files in the archive do not match.
    Adjusting the gbp config so importing newer upstream versions working
    the intended way with gbp.
  * [07fc481] New upstream version 1.4.0+repack
    To circumnavigate the missing pristine-tar branch re-import the source
    tarball as +repack.
  * [e52ddbd] d/README.source: Update content after adjusting gbp.conf
  * [9052702] Add patch from patch-queue branch
    0001-Makefile-Fix-linkage-in-order-to-make-as-needed-usab.patch
    Thanks to Tobias Heider for preparing this modification based on
    https://salsa.debian.org/electronics-team/arduino/listserialportsc/-/merge_requests/2
  * [7de6839] d/copyright: Reorder content to full machine readability
  * [84cccf3] d/control: Bump Standards-Version to 4.6.1
    No further modifications needed.
  * [4f888b3] d/control: Bump debhelper-compat to version 13
  * [9aed4a2] d/rules: Disable the verbose output while build
  * [e5e2ac8] d/watch: Improve regex syntax

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Aug 2022 07:28:36 +0200

## listserialportsc 1.4.0+repack

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Geert Stappers <stappers@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 13),
                default-jdk-headless,
-               dh-exec (>=0.3),
+               dh-exec (>= 0.3),
                libserialport-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/arduino/listSerialPortsC
 Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/listserialportsc
 Vcs-Git: https://salsa.debian.org/electronics-team/arduino/listserialportsc.git

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Apply all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+fortify

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds|repack)(\.?\d+)?$//" \
https://github.com/arduino/listSerialPortsC.git \
      refs/tags/(\d\.\d\.\d)
